/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * neural-net.cc
 * Copyright (C) Scott Woodrum 2011 <swoodrum@gmail.com>
 * 
 * neural-net.cc is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * neural-net.cc is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Derived from original Java code authored by
 * Julio César Sandria Reynoso and article at
 * http://www.javaworld.com/javaworld/jw-05-2005/jw-0516-lego.html?page=1
 */

#ifndef _NEURAL_NET_H_
#define _NEURAL_NET_H_

#include "WProgram.h"

class NeuralNet
{
public:
	NeuralNet(unsigned int randomSeed);
	float* getHiddenLayer();
	void learn(int inp[], int out[]);
	float randomFloat();
	void test(int inp[], int out[]);
	void train(int e);
	
protected:

private:
	
};

#endif // _NEURAL_NET_H_
